
package examples;

import oracle.jsp.jwcache.CloneableCacheObj;

/**
 * writeable string array - needs to be cloned in cache operation.
 * Hence, we implements CloneableCacheObj interface.
 * Both of read and write methods of this String Array class are
 * exposed.
 */
public class WStrArray extends StrArray implements CloneableCacheObj {

  public WStrArray(int size) {
    super(size);
  }
  public WStrArray(StrArray a) {
    super(a);
  }

  public void setStr(int i, String s) {
    super.setStr(i,s);
  }

  public String getStr(int i) {
    return super.getStr(i);
  }

  public Object cloneCacheObj() {
    return new WStrArray(this);
  }

}

